diff --git a/Documentation/devicetree/bindings/display/bridge/analogix,anx7625.yaml b/Documentation/devicetree/bindings/display/bridge/analogix,anx7625.yaml
index f043d57dd25a..19fbc6f67de8 100644
--- a/Documentation/devicetree/bindings/display/bridge/analogix,anx7625.yaml
+++ b/Documentation/devicetree/bindings/display/bridge/analogix,anx7625.yaml
@@ -132,6 +132,7 @@ additionalProperties: false
 examples:
   - |
     #include <dt-bindings/gpio/gpio.h>
+    #include <dt-bindings/media/video-interfaces.h>
 
     i2c {
         #address-cells = <1>;
diff --git a/Documentation/devicetree/bindings/media/i2c/toshiba,tc358746.yaml b/Documentation/devicetree/bindings/media/i2c/toshiba,tc358746.yaml
index 1c476b635b69..9e1874946017 100644
--- a/Documentation/devicetree/bindings/media/i2c/toshiba,tc358746.yaml
+++ b/Documentation/devicetree/bindings/media/i2c/toshiba,tc358746.yaml
@@ -129,6 +129,7 @@ additionalProperties: false
 examples:
   - |
     #include <dt-bindings/gpio/gpio.h>
+    #include <dt-bindings/media/video-interfaces.h>
 
     i2c {
       #address-cells = <1>;
@@ -161,7 +162,7 @@ examples:
               remote-endpoint = <&sensor_out>;
               hsync-active = <0>;
               vsync-active = <0>;
-              bus-type = <5>;
+              bus-type = <MEDIA_BUS_TYPE_PARALLEL>;
             };
           };
 
diff --git a/Documentation/devicetree/bindings/media/microchip,csi2dc.yaml b/Documentation/devicetree/bindings/media/microchip,csi2dc.yaml
index b3a345fc6464..2e694479d82d 100644
--- a/Documentation/devicetree/bindings/media/microchip,csi2dc.yaml
+++ b/Documentation/devicetree/bindings/media/microchip,csi2dc.yaml
@@ -142,6 +142,8 @@ examples:
   # Example for connecting to a parallel sensor controller block (video pipe)
   # and the input is received from Synopsys IDI interface
   - |
+    #include <dt-bindings/media/video-interfaces.h>
+
     csi2dc@e1404000 {
         compatible = "microchip,sama7g5-csi2dc";
         reg = <0xe1404000 0x500>;
@@ -154,7 +156,7 @@ examples:
                port@0 {
                        reg = <0>; /* must be 0, first child port */
                        csi2dc_in: endpoint { /* input from IDI interface */
-                               bus-type = <4>; /* MIPI CSI2 D-PHY */
+                               bus-type = <MEDIA_BUS_TYPE_CSI2_DPHY>;
                                remote-endpoint = <&csi2host_out>;
                        };
                };
diff --git a/Documentation/devicetree/bindings/media/starfive,jh7110-camss.yaml b/Documentation/devicetree/bindings/media/starfive,jh7110-camss.yaml
index c66586d90fa2..4964e59c3ae3 100644
--- a/Documentation/devicetree/bindings/media/starfive,jh7110-camss.yaml
+++ b/Documentation/devicetree/bindings/media/starfive,jh7110-camss.yaml
@@ -120,6 +120,8 @@ additionalProperties: false
 
 examples:
   - |
+    #include <dt-bindings/media/video-interfaces.h>
+
     isp@19840000 {
         compatible = "starfive,jh7110-camss";
         reg = <0x19840000 0x10000>,
@@ -161,7 +163,7 @@ examples:
                 reg = <0>;
                 vin_from_sc2235: endpoint {
                     remote-endpoint = <&sc2235_to_vin>;
-                    bus-type = <5>;
+                    bus-type = <MEDIA_BUS_TYPE_PARALLEL>;
                     bus-width = <8>;
                     data-shift = <2>;
                     hsync-active = <1>;
diff --git a/Documentation/devicetree/bindings/media/ti,j721e-csi2rx-shim.yaml b/Documentation/devicetree/bindings/media/ti,j721e-csi2rx-shim.yaml
index f762fdc05e4d..5fdb9ae758e3 100644
--- a/Documentation/devicetree/bindings/media/ti,j721e-csi2rx-shim.yaml
+++ b/Documentation/devicetree/bindings/media/ti,j721e-csi2rx-shim.yaml
@@ -58,6 +58,7 @@ additionalProperties: false
 
 examples:
   - |
+    #include <dt-bindings/media/video-interfaces.h>
     #include <dt-bindings/soc/ti,sci_pm_domain.h>
 
     ti_csi2rx0: ticsi2rx@4500000 {
@@ -90,7 +91,7 @@ examples:
 
                     csi2rx0_in_sensor: endpoint {
                         remote-endpoint = <&csi2_cam0>;
-                        bus-type = <4>; /* CSI2 DPHY. */
+                        bus-type = <MEDIA_BUS_TYPE_CSI2_DPHY>;
                         clock-lanes = <0>;
                         data-lanes = <1 2>;
                     };